lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [day] [month] [year] [list]
Date:	Tue, 30 Sep 2014 13:06:36 -0400
From:	Eric Whitney <enwlinux@...il.com>
To:	fstests@...r.kernel.org
Cc:	linux-ext4@...r.kernel.org
Subject: [PATCH] generic/015: improve error logging

015 currently discards useful diagnostic information should making or
mounting the scratch file system fail.  This can be captured with minimal
additional disk space consumption in a manner similar to other xfstests.
Noted during an ext4 debugging session involving a mkfs failure; small
ext4 file systems (as used in this test) by default use small inodes that
are not compatible with the inline data feature.

Signed-off-by: Eric Whitney <enwlinux@...il.com>
---
 tests/generic/015 | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/tests/generic/015 b/tests/generic/015
index 8d3fd5f..4d96b4e 100755
--- a/tests/generic/015
+++ b/tests/generic/015
@@ -53,11 +53,12 @@ _supported_os IRIX Linux
 _require_scratch
 _require_no_large_scratch_dev
 
-_scratch_mkfs_sized `expr 50 \* 1024 \* 1024` >/dev/null 2>&1 \
+rm -f $seqres.full
+
+_scratch_mkfs_sized `expr 50 \* 1024 \* 1024` >>$seqres.full 2>&1 \
     || _fail "mkfs failed"
-_scratch_mount || _fail "mount failed"
+_scratch_mount >>$seqres.full 2>&1 || _fail "mount failed"
 out=$SCRATCH_MNT/fillup.$$
-rm -f $seqres.full
 
 free0=`_free`
 if [ -z "$free0" ]
-- 
1.9.1

--
To unsubscribe from this list: send the line "unsubscribe linux-ext4" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ